CVE-2018-1053

In postgresql 9.3.x before 9.3.21, 9.4.x before 9.4.16, 9.5.x before 9.5.11, 9.6.x before 9.6.7 and 10.x before 10.2, pg_upgrade creates file in current working directory containing the output of `pg_dumpall -g` under umask which was in effect when the user invoked pg_upgrade, and not under 0077 which is normally used for other temporary files. This can allow an authenticated attacker to read or modify the one file, which may contain encrypted or unencrypted database passwords. The attack is infeasible if a directory mode blocks the attacker searching the current working directory or if the prevailing umask blocks the attacker opening the file.

Published : 2018-02-09 14:29 Updated : 2019-03-18 13:42

3.3
CVSS Score More info
Score 3.3 / 10
3.3
Vendor Product Version URI
Postgresql Postgresql 9.3.1 cpe:/a:postgresql:postgresql:9.3.1
Postgresql Postgresql 9.3.2 cpe:/a:postgresql:postgresql:9.3.2
Postgresql Postgresql 9.3.3 cpe:/a:postgresql:postgresql:9.3.3
Postgresql Postgresql 9.3.10 cpe:/a:postgresql:postgresql:9.3.10
Postgresql Postgresql 9.3.11 cpe:/a:postgresql:postgresql:9.3.11
Postgresql Postgresql 9.3.12 cpe:/a:postgresql:postgresql:9.3.12
Postgresql Postgresql 9.3.13 cpe:/a:postgresql:postgresql:9.3.13
Postgresql Postgresql 9.3.14 cpe:/a:postgresql:postgresql:9.3.14
Postgresql Postgresql 9.3.15 cpe:/a:postgresql:postgresql:9.3.15
Postgresql Postgresql 9.3.16 cpe:/a:postgresql:postgresql:9.3.16
Postgresql Postgresql 9.3.17 cpe:/a:postgresql:postgresql:9.3.17
Postgresql Postgresql 9.4.5 cpe:/a:postgresql:postgresql:9.4.5
Postgresql Postgresql 9.4.6 cpe:/a:postgresql:postgresql:9.4.6
Postgresql Postgresql 9.4.7 cpe:/a:postgresql:postgresql:9.4.7
Postgresql Postgresql 9.4.8 cpe:/a:postgresql:postgresql:9.4.8
Postgresql Postgresql 9.4.9 cpe:/a:postgresql:postgresql:9.4.9
Postgresql Postgresql 9.4.10 cpe:/a:postgresql:postgresql:9.4.10
Postgresql Postgresql 9.4.11 cpe:/a:postgresql:postgresql:9.4.11
Postgresql Postgresql 9.4.12 cpe:/a:postgresql:postgresql:9.4.12
Postgresql Postgresql 9.5.2 cpe:/a:postgresql:postgresql:9.5.2
Postgresql Postgresql 9.5.3 cpe:/a:postgresql:postgresql:9.5.3
Postgresql Postgresql 9.5.4 cpe:/a:postgresql:postgresql:9.5.4
Postgresql Postgresql 9.5.5 cpe:/a:postgresql:postgresql:9.5.5
Postgresql Postgresql 9.5.6 cpe:/a:postgresql:postgresql:9.5.6
Postgresql Postgresql 9.5.7 cpe:/a:postgresql:postgresql:9.5.7
Postgresql Postgresql 9.6.1 cpe:/a:postgresql:postgresql:9.6.1
Postgresql Postgresql 9.6.2 cpe:/a:postgresql:postgresql:9.6.2
Postgresql Postgresql 10.0 cpe:/a:postgresql:postgresql:10.0
Postgresql Postgresql 10.1 cpe:/a:postgresql:postgresql:10.1
Debian Debian Linux 7.0 cpe:/o:debian:debian_linux:7.0
Postgresql Postgresql 9.3.0 cpe:/a:postgresql:postgresql:9.3.0
Postgresql Postgresql 9.3.4 cpe:/a:postgresql:postgresql:9.3.4
Postgresql Postgresql 9.3.5 cpe:/a:postgresql:postgresql:9.3.5
Postgresql Postgresql 9.3.6 cpe:/a:postgresql:postgresql:9.3.6
Postgresql Postgresql 9.3.7 cpe:/a:postgresql:postgresql:9.3.7
Postgresql Postgresql 9.3.8 cpe:/a:postgresql:postgresql:9.3.8
Postgresql Postgresql 9.3.9 cpe:/a:postgresql:postgresql:9.3.9
Postgresql Postgresql 9.3.18 cpe:/a:postgresql:postgresql:9.3.18
Postgresql Postgresql 9.3.19 cpe:/a:postgresql:postgresql:9.3.19
Postgresql Postgresql 9.3.20 cpe:/a:postgresql:postgresql:9.3.20
Postgresql Postgresql 9.4.0 cpe:/a:postgresql:postgresql:9.4.0
Postgresql Postgresql 9.4.1 cpe:/a:postgresql:postgresql:9.4.1
Postgresql Postgresql 9.4.2 cpe:/a:postgresql:postgresql:9.4.2
Postgresql Postgresql 9.4.3 cpe:/a:postgresql:postgresql:9.4.3
Postgresql Postgresql 9.4.4 cpe:/a:postgresql:postgresql:9.4.4
Postgresql Postgresql 9.4.13 cpe:/a:postgresql:postgresql:9.4.13
Postgresql Postgresql 9.4.14 cpe:/a:postgresql:postgresql:9.4.14
Postgresql Postgresql 9.4.15 cpe:/a:postgresql:postgresql:9.4.15
Postgresql Postgresql 9.5.0 cpe:/a:postgresql:postgresql:9.5.0
Postgresql Postgresql 9.5.1 cpe:/a:postgresql:postgresql:9.5.1
Postgresql Postgresql 9.5.8 cpe:/a:postgresql:postgresql:9.5.8
Postgresql Postgresql 9.5.9 cpe:/a:postgresql:postgresql:9.5.9
Postgresql Postgresql 9.5.10 cpe:/a:postgresql:postgresql:9.5.10
Postgresql Postgresql 9.6.0 cpe:/a:postgresql:postgresql:9.6.0
Postgresql Postgresql 9.6.3 cpe:/a:postgresql:postgresql:9.6.3
Postgresql Postgresql 9.6.4 cpe:/a:postgresql:postgresql:9.6.4
Postgresql Postgresql 9.6.5 cpe:/a:postgresql:postgresql:9.6.5
Postgresql Postgresql 9.6.6 cpe:/a:postgresql:postgresql:9.6.6
Redhat Cloudforms 4.6 cpe:/a:redhat:cloudforms:4.6
Canonical Ubuntu Linux 14.04 cpe:/o:canonical:ubuntu_linux:14.04::~~lts~~~
Canonical Ubuntu Linux 16.04 cpe:/o:canonical:ubuntu_linux:16.04::~~lts~~~
Canonical Ubuntu Linux 17.10 cpe:/o:canonical:ubuntu_linux:17.10
  1. Postgresql (1) Search CVE
    1. Postgresql (57) Search CVE
      1. 9.3.1
      2. 9.3.2
      3. 9.3.3
      4. 9.3.10
      5. 9.3.11
      6. 9.3.12
      7. 9.3.13
      8. 9.3.14
      9. 9.3.15
      10. 9.3.16
      11. 9.3.17
      12. 9.4.5
      13. 9.4.6
      14. 9.4.7
      15. 9.4.8
      16. 9.4.9
      17. 9.4.10
      18. 9.4.11
      19. 9.4.12
      20. 9.5.2
      21. 9.5.3
      22. 9.5.4
      23. 9.5.5
      24. 9.5.6
      25. 9.5.7
      26. 9.6.1
      27. 9.6.2
      28. 10.0
      29. 10.1
      30. 9.3.0
      31. 9.3.4
      32. 9.3.5
      33. 9.3.6
      34. 9.3.7
      35. 9.3.8
      36. 9.3.9
      37. 9.3.18
      38. 9.3.19
      39. 9.3.20
      40. 9.4.0
      41. 9.4.1
      42. 9.4.2
      43. 9.4.3
      44. 9.4.4
      45. 9.4.13
      46. 9.4.14
      47. 9.4.15
      48. 9.5.0
      49. 9.5.1
      50. 9.5.8
      51. 9.5.9
      52. 9.5.10
      53. 9.6.0
      54. 9.6.3
      55. 9.6.4
      56. 9.6.5
      57. 9.6.6
  2. Redhat (1) Search CVE
    1. Cloudforms (1) Search CVE
      1. 4.6
  3. Debian (1) Search CVE
    1. Debian Linux (1) Search CVE
      1. 7.0
  4. Canonical (1) Search CVE
    1. Ubuntu Linux (3) Search CVE
      1. 14.04
      2. 16.04
      3. 17.10

CWE

ID Name Description Links
CWE-264 Permissions, Privileges, and Access Controls Weaknesses in this category are related to the management of permissions, privileges, and other security features that are used to perform access control. CVE

History of changes

Date Event
2019-03-18 13:42
2018-12-14 11:29
2018-08-28 10:29
2018-08-21 10:29
2018-03-16 01:29
2018-03-10 14:34
2018-02-15 02:29
2018-02-11 02:29
2018-02-09 14:29

New CVE